{{!-- template-lint-disable no-at-ember-render-modifiers --}}
<div class='input-icons-open-selector' {{did-insert this.setup}} {{did-update this.setup @value}}>
  <div class='form-floating mb-5'>
    <Input class='form-control input-icons-filter-name' id='{{this.elementId}}-filter-name' placeholder={{t 'Filter icons by name'}} @value={{this.filterValue}} />
    <label for='{{this.elementId}}-filter-name'>{{t 'Filter icons by name'}}</label>
  </div>

  {{#if this.hasNoResults}}
    <div class='not-matched-message text-center m-4'>
      {{t 'icon-not-matched-message'}}
    </div>
  {{else if this.filteredIcons}}
    <Filters::IconSelector @onSelect={{this.onSelectIcon}} @onDeselect={{this.onDeselectIcon}} @icons={{this.filteredIcons}} @value={{@value}} />
  {{else}}
    {{#each this.icons as |group|}}
      <div class='icon-group mb-4'>
        <div class='icon-group-name-list'>
          {{#each group.name as |name|}}
            <span class='icon-group-name'>
              {{name}}
            </span>
          {{/each}}
        </div>
        <Filters::IconSelector @onSelect={{this.onSelectIcon}} @onDeselect={{this.onDeselectIcon}} @icons={{group.icons}} @value={{@value}} />
      </div>
    {{/each}}
  {{/if}}
</div>